<% /*
    $Revision$
    $Id$

    File:           model_mld_meldbron.inc

    Description:    Vanuit CodeCharge gegenereerd model voor mld_meldbron

    Context:

    Notes:
*/
%>
<%

function model_mld_meldbron()
{
    this.table = "mld_meldbron";
    this.primary = "mld_meldbron_key";
    this.records_name = "mld_meldbrons";
    this.record_name = "mld_meldbron",
    this.soft_delete = "mld_meldbron_verwijder";
    this.autfunction = "WEB_PRSSYS";
    this.record_title = L("mld_meldbron");
    this.records_title = L("mld_meldbron_m");


    this.fields = {
        "id": {
            "dbs": "mld_meldbron_key",
            "label": "Key",
            "typ": "key",
            "required": true,
            "filter": "exact",
            "seq": "mld_s_mld_meldbron_key"
        },
        "name": {
            "dbs": "mld_meldbron_omschrijving",
            "label": L("mld_meldbron_omschrijving"),
            "typ": "varchar",
            "required": true
        },
        "default": {
            "dbs": "mld_meldbron_default",
            "label": L("mld_meldbron_default"),
            "typ": "check"
        }
    };


    this.REST_GET    = generic_REST_GET(this);
    this.REST_POST   = generic_REST_POST(this);
    this.REST_PUT    = generic_REST_PUT(this);
    this.REST_DELETE = generic_REST_DELETE(this);
}
%>